Cassandra 2.0.3 + Java 1.7 セットアップ

研究室のゼミ及び学生の研究で,Apache Cassandraを使用しており,自分もその環境を準備したく,今回は,Amazon EC2のインスタンスにそれをセットアップしようと試みます.

Amazon EC2にて使用しているインスタンスは,最低スペック micro タイプの Amazon Linux AMI です.

Cassandraを動かすには,Javaが必須ですので,とりあえず,現在インストールされているJavaの環境を確認してみます.

# java -version
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.14) (amazon-65.1.11.14.57.a
mzn1-x86_64)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)

今回は,CassandraもJavaも最新バージョンで試したみたいと思いますので,現在 Version 1.6 のJavaを1.7に上げようと思います.
では,今のOpenJDKを削除しようとしてみます.

# rpm -e java-1.6.0-openjdk
エラー: 依存性の欠如:
jre >= 1.6.0 は (インストール済み)aws-apitools-iam-1.5.0-1.2.amzn1.noarch
に必要とされています
jre >= 1.6.0 は (インストール済み)aws-apitools-as-1.0.61.3-1.0.amzn1.noarc
h に必要とされています
jre >= 1.6.0 は (インストール済み)aws-apitools-mon-1.0.13.4-1.0.amzn1.noar
ch に必要とされています
 :

削除できましぇーん.あらら,AWSのAPIツール関係で必要としているみたい.

“Cassandra 2.0.3 + Java 1.7 セットアップ” 続きを読む